View Issue Details

IDProjectCategoryView StatusLast Update
0004853SOGoActiveSyncpublic2019-10-30 13:55
Reporteralexvitanyi Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformiPhoneOSiOSOS VersioniOS 13
Product Version4.0.8 
Fixed in Version4.1.1 
Summary0004853: No synchronization with latest Outlook for iOS
Description

I tried to login with an existing account and also with a newly created account.
In both cases Outlook for iOS is not able to synchronize in both ways.
With the normal tools from iOS it works properly using Exchange server connection.
From the logs it has a loop on the settings request from the Outlook app:

ct 21 13:09:37 sogod [7738]: <0x0x557f1ea77520[SOGoActiveSyncDispatcher]> EAS - request for device XXXX: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/&quot;>
<Provision xmlns="Provision:">
<DeviceInformation xmlns="Settings:">
<Set>
<UserAgent>Outlook-iOS-Android/1.0</UserAgent>
<Model>Outlook for iOS and Android</Model>
<OS>OutlookBasicAuth</OS>
</Set>
</DeviceInformation>
<Policies>
<Policy>
<PolicyType>MS-EAS-Provisioning-WBXML</PolicyType>
</Policy>
</Policies>
</Provision>

Oct 21 13:09:37 sogod [7738]: <0x0x557f1ea77520[SOGoActiveSyncDispatcher]> EAS - response for device XXX: <?xml version="1.0"?>
<!DOCTYPE ActiveSync PUBLIC "-//MICROSOFT//DTD ActiveSync//EN" "http://www.microsoft.com/&quot;>
<Provision xmlns="Provision:">
<AllowHTMLEmail>1</AllowHTMLEmail>
</Provision>

TagsNo tags attached.

Activities

tfu

tfu

2019-10-25 10:44

reporter   ~0013851

A quick test showed 2 problems:
.) the response to the provision request is wrong. Other clients obviously ignoring this but OL app does not.
.) cmd=ItemOperations for Calendar need to be implemented.

Related Changesets

sogo: master d1e2418d

2019-10-30 13:44:13

ludovic

Details Diff
(fix) fixed EAS provisioning support for Outlook/iOS (fixes 0004853) Affected Issues
0004853
mod - ActiveSync/SOGoActiveSyncDispatcher+Sync.m Diff File
mod - ActiveSync/SOGoActiveSyncDispatcher.m Diff File
mod - NEWS Diff File

Issue History

Date Modified Username Field Change
2019-10-21 07:15 alexvitanyi New Issue
2019-10-25 10:44 tfu Note Added: 0013851
2019-10-30 13:48 ludovic Changeset attached => sogo master d1e2418d
2019-10-30 13:48 ludovic Assigned To => ludovic
2019-10-30 13:48 ludovic Resolution open => fixed
2019-10-30 13:55 ludovic Status new => resolved
2019-10-30 13:55 ludovic Fixed in Version => 4.1.1